#!/usr/bin/csh

#process disk load results
./hekla.gmt hekla_disk_thickplate.nc 2 vertical 0.05
#./hekla.gmt hekla_disk_thickplate.nc 3 horizontal 0.02

#make xyz files from xyhr file coming from matlab
awk '{print $1,$2,$3;}' < mogi.dat > mogi_vertical.xyz
awk '{print $1,$2,$4;}' < mogi.dat > mogi_horizontal.xyz

# calculate residuals (disk - mogi)
gmtmath -C2 hekla_2000_vertical.xyz mogi_vertical.xyz SUB = residual_vertical.xyz
gmtmath -C2 hekla_2000_horizontal.xyz mogi_horizontal.xyz SUB = residual_horizontal.xyz

gmtmath -C2 mogi_vertical.xyz hekla_2000_vertical.xyz DIV  = ratio_vertical.xyz
gmtmath -C2 mogi_horizontal.xyz hekla_2000_horizontal.xyz DIV = ratio_horizontal.xyz


#generate maps

./mogi.gmt mogi vertical 0.05
##./mogi.gmt mogi horizontal 0.02

./mogi.gmt residual vertical 0.05
#./mogi.gmt residual horizontal 0.02


#./mogi.gmt ratio vertical 0.1
#./mogi.gmt ratio horizontal 10


